\documentclass{beamer}
\usetheme{Warsaw}

\usepackage[french]{babel}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{graphicx}

\title{Onion Routing Networks}
\usepackage{graphicx}
\author{DUTOIS Alexy}

\begin{document}

\frame{\titlepage}

\begin{frame}
  \frametitle{Introduction}
  \begin{block}{What is this}
    Connect to a server through multiple nodes
  \end{block}

  \begin{columns}
    \column{0.5\textwidth}
    \begin{figure}
      \caption{Regular Internet}
      \centering
      \includegraphics[scale=0.25]{intro1.png}
    \end{figure}

    \column{0.5\textwidth}
    \begin{figure}
      \caption{Onion Routing protocol}
      \centering
      \includegraphics[scale=0.2]{intro.png}
    \end{figure}

  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{Creation}
  \begin{itemize}
  \item<1-> First researches made by made by Paul Syverson, Michael G. Reed, and David Goldschlag in the mid-1990s
  \item<2-> Improved by the Defense Advanced Research Projects Agency (DARPA) in 1998
  \item<3-> Roger Dingledine and Nick Mathewson joined Syverson in 2002 to develop the most famous implementation of this protocol: Tor
  \item<4-> Tor Project Foundation created in 2006
  \end{itemize}

\end{frame}

\begin{frame}
  \frametitle{Advantages}

  \begin{block}{Onion Routing rocks}
    Some advantages of Onion Routing Networks
  \end{block}

  \begin{columns}
    \column{0.5\textwidth}
    \begin{itemize}
    \item<2-> Anonymity
    \item<3-> End-to-End Encryption
    \item<4-> Deny of Service resilient
    \end{itemize}

    \column{0.5\textwidth}
    \begin{figure}
      \centering
      \includegraphics[scale=0.1]{chad.jpg}
    \end{figure}

  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{Weaknesses}
  \begin{block}{Onion Routing sucks}
    Some weaknesses compromising anonymity
  \end{block}

  \begin{columns}

    \column{0.5\textwidth}
    \begin{itemize}
    \item<2-> Human flaws
    \item<3-> Time analysis
    \item<4-> Exit nodes
    \item<5-> Services
    \end{itemize}

    \column{0.5\textwidth}
    \begin{figure}
      \centering
      \includegraphics[scale=0.1]{virgin.jpg}
    \end{figure}
  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{How does it work ?}
  \begin{block}{Explanations}
    Please refer to the video
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Examples}
  \begin{columns}
    \column{0.3\textwidth}
    \begin{figure}
      \caption{Tor 2002}
      \centering
      \includegraphics[scale=0.25]{tor.png}
    \end{figure}

    \column{0.3\textwidth}
    \begin{figure}
      \caption{I2P 2014}
      \centering
      \includegraphics[scale=0.1]{i2p.png}
    \end{figure}

    \column{0.3\textwidth}
    \begin{figure}
      \caption{Lokinet 2018}
      \centering
      \includegraphics[scale=0.08]{lokinet.jpg}
    \end{figure}
  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{Conclusion}
\end{frame}

\begin{frame}
  \frametitle{Debate}
  \begin{block}{Question}
  Should we remove such technologies providing anonymity ?
  \end{block}
\end{frame}


\end{document}
